local mod_name = minetest.get_current_modname()
local mod_path = minetest.get_modpath(mod_name)

aom_mirecaves = {}
aom_mirecaves.max = 100
-- aom_mirecaves.max = aom_vars.overworld.sea_level - 30
aom_mirecaves.min = aom_vars.overworld.sea_level - 40

aom_mirecaves.biome_list = {"mirecaves"}

aom_mirecaves.mg_name = minetest.get_mapgen_setting("mg_name")

-- util
dofile(mod_path .. DIR_DELIM .. "utilities.lua")

-- nodes
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "stone.lua")
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "nolmer.lua")
dofile(mod_path .. DIR_DELIM .. "scripts" .. DIR_DELIM .. "nolmer_growing.lua")
dofile(mod_path .. DIR_DELIM .. "nodes" .. DIR_DELIM .. "workaround.lua")

-- mapgen
-- dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "clearer.lua")
-- dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "streams.lua")
-- dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "soils.lua")


dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "biome.lua")
-- decor
dofile(mod_path .. DIR_DELIM .. "mapgen" .. DIR_DELIM .. "cleaner.lua")

if minetest.get_modpath("aom_map_base") and minetest.get_modpath("aom_stone") then
    aom_stone.register_ores_for_node("aom_mirecaves:stone")
    aom_map_base.register_ores_for_node("aom_mirecaves:stone", {
        skip = {
            coal = true,
            iron = true,
        }
    })
end
